Last Comment Bug 324439 - Land ChatZilla 0.9.70 on branch
: Land ChatZilla 0.9.70 on branch
Status: RESOLVED FIXED
: fixed-seamonkey1.1a, fixed1.8.1, relnote
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
-- enhancement (vote)
: ---
Assigned To: :Gijs (away until Feb 27)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 12:06 PST by :Gijs (away until Feb 27)
Modified: 2006-01-26 15:44 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch from branch to trunk (359.98 KB, patch)
2006-01-23 12:07 PST, :Gijs (away until Feb 27)
iann_bugzilla: approval‑seamonkey1.1a+
Details | Diff | Splinter Review
Patch that doesn't modify CVS files and has text-serializer.js (345.41 KB, patch)
2006-01-23 15:06 PST, :Gijs (away until Feb 27)
iann_bugzilla: approval‑seamonkey1.0-
iann_bugzilla: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description User image :Gijs (away until Feb 27) 2006-01-23 12:06:12 PST
The ChatZilla developers would like to land the latest version (current cvs trunk alias 0.9.70) on branch. There has been a good amount of work done since Gecko 1.8 branched in August, and we'd hate to have the Seamonkey 1.0 builds miss it. Please consider incorporating the trunk changes, even though we're rather late requesting you to do so.
Comment 1 User image :Gijs (away until Feb 27) 2006-01-23 12:07:35 PST
Created attachment 209381 [details] [diff] [review]
Patch from branch to trunk
Comment 2 User image Ian Neal 2006-01-23 14:31:25 PST
Comment on attachment 209381 [details] [diff] [review]
Patch from branch to trunk

a=me for SM1.1
Despite the size of the patch there does not seem to be too many locale changes but it is probably best kairo comments on that.
Comment 3 User image :Gijs (away until Feb 27) 2006-01-23 15:06:22 PST
Created attachment 209404 [details] [diff] [review]
Patch that doesn't modify CVS files and has text-serializer.js

I'd been sloppy, the previous patch modified CVS files, and didn't include a new file. To make sure this goes alright when anything gets checked in, here is a patch without CVS files and with text-serializer.js included. Apologies for bugspam.
Comment 4 User image Ian Neal 2006-01-23 15:14:34 PST
Even more bugspam, carrying across a=me for SM1.1 and removing old ?SM1.0 request
Comment 5 User image Ian Neal 2006-01-24 06:26:56 PST
Comment on attachment 209404 [details] [diff] [review]
Patch that doesn't modify CVS files and has text-serializer.js

After discussions with Kairo, it is too late for 1.0 and the L10n people, so minusing for SM1.0/MOZILLA_1_8_0_BRANCH but it can go into SM1.1/MOZILLA_1_8_BRANCH
Comment 6 User image :Gijs (away until Feb 27) 2006-01-24 06:30:00 PST
Alright, I understand, I guess. If, however, the main issue is l10n, would it be possible to include a note in the release notes that it is possible to download a newer version of ChatZilla from addons.mozilla.org? This would be in English, of course, but I think that some people wouldn't mind that as much.
Comment 7 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-24 10:20:58 PST
(In reply to comment #6)
> Alright, I understand, I guess. If, however, the main issue is l10n, would it
> be possible to include a note in the release notes that it is possible to
> download a newer version of ChatZilla from addons.mozilla.org? This would be in
> English, of course, but I think that some people wouldn't mind that as much.
> 

Yes.  As I understand it, we should recommend *against* installing the Chatzilla that is included with SeaMonkey and use the one from a.m.o instead.  Is that correct?
Comment 8 User image :Gijs (away until Feb 27) 2006-01-24 13:32:01 PST
There is not much sense in discouraging people from installing ChatZilla from the install package. The then-installed version will simply be completely overwritten by the new version, without any problems. Write access to the application dir is necessary for this, but that'd also be required if ChatZilla wasn't installed yet.

To suggest text that could be on the release notes:

"SeaMonkey 1.0 doesn't contain the latest version of ChatZilla. The most recent release can be installed <a href="https://addons.mozilla.org/extensions/moreinfo.php?id=16">here</a>."

Comment 9 User image Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-01-25 12:36:55 PST
(In reply to comment #8)
> There is not much sense in discouraging people from installing ChatZilla from
> the install package. The then-installed version will simply be completely
> overwritten by the new version, without any problems. Write access to the
> application dir is necessary for this, but that'd also be required if ChatZilla
> wasn't installed yet.
> 
> To suggest text that could be on the release notes:
> 
> "SeaMonkey 1.0 doesn't contain the latest version of ChatZilla. The most recent
> release can be installed <a
> href="https://addons.mozilla.org/extensions/moreinfo.php?id=16">here</a>."
> 

Done
Comment 10 User image :Gijs (away until Feb 27) 2006-01-25 14:02:09 PST
Checked in on the 1.8 branch.

Changing to FIXED since this needs no trunk checkin, won't get 1.8.0 checkin, and CTho has added the release note. QA, please verify :-).

Note You need to log in before you can comment on or make changes to this bug.